object MainForm: TMainForm
  Left = 427
  Top = 104
  BorderStyle = bsDialog
  Caption = 'AntiAliased Analog Gauge demo'
  ClientHeight = 451
  ClientWidth = 712
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poDefaultPosOnly
  Scaled = False
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object MarginLabel: TLabel
    Left = 8
    Top = 320
    Width = 32
    Height = 13
    Caption = 'Margin'
    FocusControl = MarginEdit
  end
  object CenterLabel: TLabel
    Left = 88
    Top = 320
    Width = 62
    Height = 13
    Caption = 'Center radius'
    FocusControl = CenterRadEdit
  end
  object CircleLabel: TLabel
    Left = 168
    Top = 320
    Width = 57
    Height = 13
    Caption = 'Circle radius'
    FocusControl = CircleRadEdit
  end
  object ScaleLabel: TLabel
    Left = 248
    Top = 320
    Width = 56
    Height = 13
    Caption = 'Scale value'
    FocusControl = ScaleEdit
  end
  object AngleLabel: TLabel
    Left = 328
    Top = 320
    Width = 56
    Height = 13
    Caption = 'Scale angle'
    FocusControl = AngleEdit
  end
  object MinimLabel: TLabel
    Left = 248
    Top = 240
    Width = 41
    Height = 13
    Caption = 'Minimum'
    FocusControl = MinimEdit
  end
  object MaximLabel: TLabel
    Left = 328
    Top = 240
    Width = 44
    Height = 13
    Caption = 'Maximum'
    FocusControl = MaximEdit
  end
  object WidthLabel: TLabel
    Left = 8
    Top = 368
    Width = 55
    Height = 13
    Caption = 'Arrow width'
    FocusControl = WidthEdit
  end
  object NumMainLabel: TLabel
    Left = 88
    Top = 368
    Width = 48
    Height = 13
    Caption = 'Main ticks'
    FocusControl = NumMainEdit
  end
  object MainLenLabel: TLabel
    Left = 168
    Top = 368
    Width = 58
    Height = 13
    Caption = 'Main length '
    FocusControl = MainLenEdit
  end
  object SubLenLabel: TLabel
    Left = 248
    Top = 368
    Width = 51
    Height = 13
    Caption = 'Sub length'
    FocusControl = SubLenEdit
  end
  object CaptionLabel: TLabel
    Left = 328
    Top = 368
    Width = 36
    Height = 13
    Caption = 'Caption'
    FocusControl = CaptionEdit
  end
  object FPSLabel: TLabel
    Left = 416
    Top = 224
    Width = 23
    Height = 13
    Caption = 'FPS:'
  end
  object FreqLabel: TLabel
    Left = 328
    Top = 200
    Width = 76
    Height = 13
    Caption = 'Timer delay (ms)'
    FocusControl = FreqEdit
  end
  object AboutLabel: TLabel
    Left = 88
    Top = 416
    Width = 617
    Height = 26
    Alignment = taCenter
    Anchors = [akLeft, akRight, akBottom]
    AutoSize = False
    Caption = 
      'Anti Aliased Analog Gauge component demonstration. '#13#10'(c) Irnis H' +
      'aliullin, http://www.irnis.net/'
    Layout = tlCenter
    OnClick = AboutLabelClick
    OnMouseMove = AboutLabelMouseMove
  end
  object AAModeLabel: TLabel
    Left = 240
    Top = 200
    Width = 53
    Height = 13
    Caption = 'Antialiasing'
    FocusControl = AAModeBox
  end
  object AnalogGauge1: TA3nalogGauge
    Left = 8
    Top = 16
    Width = 225
    Height = 225
    MinColor = clGreen
    MidColor = clYellow
    MaxColor = clRed
    FaceColor = clBtnFace
    TicksColor = clBlack
    ValueColor = clBlack
    CaptionColor = clBlack
    ArrowColor = clBlack
    MarginColor = clBlack
    CenterColor = clGray
    CircleColor = clBlue
    CenterRadius = 8
    CircleRadius = 3
    Angle = 90
    Margin = 10
    Style = LeftStyle
    ArrowWidth = 1
    NumberMainTicks = 7
    LengthMainTicks = 15
    LengthSubTicks = 8
    FaceOptions = [ShowMargin, ShowMainTicks, ShowSubTicks, ShowIndicatorMax, ShowValues, ShowCenter, ShowFrame, Show3D, ShowCaption]
    Scale = 140
    IndMaximum = 80
    IndMinimum = 30
    Caption = 'mV'
    AntiAliased = aaNone
  end
  object AnalogGauge2: TA3nalogGauge
    Left = 240
    Top = 16
    Width = 225
    Height = 180
    MinColor = clGreen
    MidColor = clYellow
    MaxColor = clRed
    FaceColor = clBtnFace
    TicksColor = clBlack
    ValueColor = clBlack
    CaptionColor = clBlack
    ArrowColor = clBlack
    MarginColor = clBlack
    CenterColor = clGray
    CircleColor = clBlue
    CenterRadius = 8
    CircleRadius = 3
    Angle = 120
    Margin = 10
    Style = CenterStyle
    ArrowWidth = 1
    NumberMainTicks = 7
    LengthMainTicks = 15
    LengthSubTicks = 8
    FaceOptions = [ShowMargin, ShowMainTicks, ShowSubTicks, ShowIndicatorMax, ShowValues, ShowCenter, ShowFrame, Show3D, ShowCaption]
    Scale = 140
    IndMaximum = 80
    IndMinimum = 30
    Caption = 'mV'
    AntiAliased = aaNone
  end
  object AnalogGauge3: TA3nalogGauge
    Left = 480
    Top = 16
    Width = 225
    Height = 225
    MinColor = clGreen
    MidColor = clYellow
    MaxColor = clRed
    FaceColor = clBtnFace
    TicksColor = clBlack
    ValueColor = clBlack
    CaptionColor = clBlack
    ArrowColor = clBlack
    MarginColor = clBlack
    CenterColor = clGray
    CircleColor = clBlue
    CenterRadius = 8
    CircleRadius = 3
    Angle = 90
    Margin = 10
    Style = RightStyle
    ArrowWidth = 1
    NumberMainTicks = 7
    LengthMainTicks = 15
    LengthSubTicks = 8
    FaceOptions = [ShowMargin, ShowMainTicks, ShowSubTicks, ShowIndicatorMax, ShowValues, ShowCenter, ShowFrame, Show3D, ShowCaption]
    Scale = 140
    IndMaximum = 80
    IndMinimum = 30
    Caption = 'mV'
    AntiAliased = aaNone
  end
  object FaceColorButton: TButton
    Left = 8
    Top = 256
    Width = 75
    Height = 25
    Caption = 'Face color'
    TabOrder = 4
    OnClick = FaceColorButtonClick
  end
  object CenterColorButton: TButton
    Left = 88
    Top = 256
    Width = 75
    Height = 25
    Caption = 'Center color'
    TabOrder = 5
    OnClick = CenterColorButtonClick
  end
  object CenterRadEdit: TSpinEdit
    Left = 88
    Top = 336
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 18
    Value = 0
    OnChange = CenterRadEditChange
  end
  object CircleColorButton: TButton
    Left = 168
    Top = 256
    Width = 75
    Height = 25
    Caption = 'Circle color'
    TabOrder = 6
    OnClick = CircleColorButtonClick
  end
  object CircleRadEdit: TSpinEdit
    Left = 168
    Top = 336
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 19
    Value = 0
    OnChange = CircleRadEditChange
  end
  object MarginEdit: TSpinEdit
    Left = 8
    Top = 336
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 17
    Value = 0
    OnChange = MarginEditChange
  end
  object ScaleEdit: TSpinEdit
    Left = 248
    Top = 336
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 20
    Value = 0
    OnChange = ScaleEditChange
  end
  object AngleEdit: TSpinEdit
    Left = 328
    Top = 336
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 21
    Value = 0
    OnChange = AngleEditChange
  end
  object MinimEdit: TSpinEdit
    Left = 248
    Top = 256
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 7
    Value = 0
    OnChange = MinimEditChange
  end
  object MaximEdit: TSpinEdit
    Left = 328
    Top = 256
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 8
    Value = 0
    OnChange = MaximEditChange
  end
  object WidthEdit: TSpinEdit
    Left = 8
    Top = 384
    Width = 73
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 22
    Value = 0
    OnChange = WidthEditChange
  end
  object NumMainEdit: TSpinEdit
    Left = 88
    Top = 384
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 23
    Value = 0
    OnChange = NumMainEditChange
  end
  object MainLenEdit: TSpinEdit
    Left = 168
    Top = 384
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 24
    Value = 0
    OnChange = MainLenEditChange
  end
  object SubLenEdit: TSpinEdit
    Left = 248
    Top = 384
    Width = 75
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 25
    Value = 0
    OnChange = SubLenEditChange
  end
  object MarginBox: TCheckBox
    Left = 408
    Top = 284
    Width = 140
    Height = 17
    Caption = 'Show margin'
    TabOrder = 26
    OnClick = MarginBoxClick
  end
  object CirclesBox: TCheckBox
    Left = 560
    Top = 284
    Width = 100
    Height = 17
    Caption = 'Show circles'
    TabOrder = 32
    OnClick = CirclesBoxClick
  end
  object MainTicksBox: TCheckBox
    Left = 408
    Top = 300
    Width = 140
    Height = 17
    Caption = 'Show main ticks'
    TabOrder = 27
    OnClick = MainTicksBoxClick
  end
  object SubticksBox: TCheckBox
    Left = 408
    Top = 316
    Width = 140
    Height = 17
    Caption = 'Show sub ticks'
    TabOrder = 28
    OnClick = SubticksBoxClick
  end
  object IndMinBox: TCheckBox
    Left = 408
    Top = 332
    Width = 140
    Height = 17
    Caption = 'Show indicator minimum'
    TabOrder = 30
    OnClick = IndMinBoxClick
  end
  object IndMidBox: TCheckBox
    Left = 408
    Top = 348
    Width = 140
    Height = 17
    Caption = 'Show indicator mid'
    TabOrder = 29
    OnClick = IndMidBoxClick
  end
  object IndMaxBox: TCheckBox
    Left = 408
    Top = 364
    Width = 140
    Height = 17
    Caption = 'Show indicator maximum'
    TabOrder = 31
    OnClick = IndMaxBoxClick
  end
  object ValuesBox: TCheckBox
    Left = 560
    Top = 300
    Width = 100
    Height = 17
    Caption = 'Show values'
    TabOrder = 33
    OnClick = ValuesBoxClick
  end
  object CenterBox: TCheckBox
    Left = 560
    Top = 316
    Width = 100
    Height = 17
    Caption = 'Show center'
    TabOrder = 34
    OnClick = CenterBoxClick
  end
  object FrameBox: TCheckBox
    Left = 560
    Top = 332
    Width = 100
    Height = 17
    Caption = 'Show frame'
    TabOrder = 35
    OnClick = FrameBoxClick
  end
  object Draw3DBox: TCheckBox
    Left = 560
    Top = 348
    Width = 100
    Height = 17
    Caption = 'Show 3D'
    TabOrder = 36
    OnClick = Draw3DBoxClick
  end
  object CaptionBox: TCheckBox
    Left = 560
    Top = 364
    Width = 100
    Height = 17
    Caption = 'Show caption'
    TabOrder = 37
    OnClick = CaptionBoxClick
  end
  object CaptionEdit: TEdit
    Left = 328
    Top = 384
    Width = 377
    Height = 21
    TabOrder = 38
    Text = 'CaptionEdit'
    OnChange = CaptionEditChange
  end
  object FreqEdit: TSpinEdit
    Left = 328
    Top = 216
    Width = 81
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 3
    Value = 0
    OnChange = FreqEditChange
  end
  object TicksColorButton: TButton
    Left = 8
    Top = 288
    Width = 75
    Height = 25
    Caption = 'Ticks color'
    TabOrder = 12
    OnClick = TicksColorButtonClick
  end
  object ValueColorButton: TButton
    Left = 88
    Top = 288
    Width = 75
    Height = 25
    Caption = 'Values color'
    TabOrder = 13
    OnClick = ValueColorButtonClick
  end
  object CaptionColorButton: TButton
    Left = 168
    Top = 288
    Width = 75
    Height = 25
    Caption = 'Caption color'
    TabOrder = 14
    OnClick = CaptionColorButtonClick
  end
  object ArrowColorButton: TButton
    Left = 248
    Top = 288
    Width = 75
    Height = 25
    Caption = 'Arrow color'
    TabOrder = 15
    OnClick = ArrowColorButtonClick
  end
  object MarginColorButton: TButton
    Left = 328
    Top = 288
    Width = 75
    Height = 25
    Caption = 'Margin color'
    TabOrder = 16
    OnClick = MarginColorButtonClick
  end
  object MinColorButton: TButton
    Left = 408
    Top = 256
    Width = 75
    Height = 25
    Caption = 'Min color'
    TabOrder = 9
    OnClick = MinColorButtonClick
  end
  object MidColorButton: TButton
    Left = 488
    Top = 256
    Width = 75
    Height = 25
    Caption = 'Mid color'
    TabOrder = 10
    OnClick = MidColorButtonClick
  end
  object MaxColorButton: TButton
    Left = 568
    Top = 256
    Width = 75
    Height = 25
    Caption = 'Max color'
    TabOrder = 11
    OnClick = MaxColorButtonClick
  end
  object CloseButton: TButton
    Left = 8
    Top = 416
    Width = 75
    Height = 25
    Caption = 'Close'
    TabOrder = 39
    OnClick = CloseButtonClick
  end
  object AAModeBox: TComboBox
    Left = 240
    Top = 216
    Width = 81
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    TabOrder = 40
    OnChange = AAModeBoxChange
    Items.Strings = (
      'None'
      'Biline'
      'Triline'
      'Quadral')
  end
  object Timer: TTimer
    Interval = 10
    OnTimer = TimerTimer
    Left = 280
    Top = 88
  end
  object ColorDialog: TColorDialog
    Ctl3D = True
    Left = 336
    Top = 88
  end
end
